import { Fetcher } from './fetcher';
import 'es6-shim';
export interface ErrorJohnny {
    codigoError: string;
    mensaje?: string;
    referencias: {
        clave: string;
        valor: string;
    }[];
}
/**
 * Fetcher que para realizar requerimientos utiliza una función dada que debe
 * implementar la API fetch (https://developer.mozilla.org/en/docs/Web/API/Fetch_API).
 *
 */
export declare class FetcherBasico implements Fetcher {
    private fetchFn;
    constructor(fetchFn: (...args: any[]) => any);
    /**
     * Utiliza la función fetch con la que está configurado el fetcher para obtener y
     * deserializar el JSON de un objeto que se establecerá en la propiedad "datos" de
     * la respuesta.
     * La promesa devuelta se rechazará cuando la función suyacente rechace su promesa o
     * cuando la cumpla con una respuesta con la propiedad "ok" en false-like.
     */
    fetchJson(url: any, init?: any): Promise<any>;
    /**
     * Utiliza la función fetch con la que está configurado el fetcher para obtener un
     * texto que se establecerá en la propiedad "datos" de la respuesta.
     * La promesa devuelta se rechazará cuando la función suyacente rechace su promesa o
     * cuando la cumpla con una respuesta con la propiedad "ok" en false-like.
     */
    fetchText(url: any, init?: any): Promise<any>;
    /**
     * Utiliza la función fetch con la que está configurado el fetcher para obtener una
     * respuesta.
     * La promesa devuelta se rechazará cuando la función suyacente rechace su promesa o
     * cuando la cumpla con una respuesta con la propiedad "ok" en false-like.
     */
    fetchResponseOk(url: any, init?: any): Promise<any>;
    normalizarErrores(errores: any, resp?: any): ErrorJohnny[];
}
