import { Fetcher } from './fetcher';
import 'es6-shim';
export interface OpcionesFetcherConTokenAutent {
    /**
     * Token a anexar al encabezado de los requerimientos o función que devuelve el
     * token o una promesa de devolución del token.
     */
    token: string | (() => string) | (() => Promise<string>);
}
/**
 * Decorador de un fetcher que agrega un token de autenticación en el encabezado
 * "Authorization" de los requerimientos.
 */
export declare class FetcherConTokenAutent implements Fetcher {
    private fetcherDecorar;
    private opciones;
    constructor(fetcherDecorar: Fetcher, opciones: OpcionesFetcherConTokenAutent);
    fetchJson(url: any, init?: any): Promise<any>;
    fetchText(url: any, init?: any): Promise<any>;
    fetchResponseOk(url: any, init?: any): Promise<any>;
    /**
     * Devuelve una promesa que se resuelve con el token de autenticación a incluír en los
     * requerimientos.
     */
    private token();
    private asegurarHeader(init?);
}
